unit Main;

interface

uses
  Windows, Messages,  Graphics,  Controls,  Forms,  Dialogs,  StdCtrls, ExtCtrls,
  Buttons,  ComCtrls, SysUtils,  Classes, IdComponent, IdTCPConnection, IdHTTP,
  IdLogDebug, IdLogBase, IdAntiFreeze, IdAntiFreezeBase, IdIntercept, IdTCPClient,
  IdBaseComponent;

type
  // ---------------------------------------------------------------------------
  TForm1 = class(TForm)
    IdAntiFreeze1: TIdAntiFreeze;
    Panel1: TPanel;
    memoHTML: TMemo;
    HTTP: TIdHTTP;
    Label2: TLabel;
    LogDebug: TIdLogDebug;
    Splitter1: TSplitter;
    Edit1: TEdit;
    Memo1: TMemo;
    Timer1: TTimer;

    procedure btnGoClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
    procedure Memo1KeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure Timer1Timer(Sender: TObject);
    Procedure URLsend(plus: string; Sender: TObject);
  end; // TForm1

var
  Form1: TForm1;

implementation

{$R *.DFM}

// *****************************************************************************
procedure TForm1.btnGoClick(Sender: TObject);
var
  StaryKurzor: TCursor;
begin
  StaryKurzor := Screen.Cursor; // Ak bezi viacero vlakien, aby sme nezasahovali
  try // FINALLY
    Screen.Cursor := crHourGlass;
    memoHTML.Clear;
    HTTP.ProtocolVersion := pv1_1;
    HTTP.Request.Username := '';
    HTTP.Request.Password := '';
    HTTP.Request.ProxyServer := '';
    HTTP.Request.ProxyPort := StrToIntDef('', 80);
    HTTP.Request.ContentType := '';
    HTTP.Intercept := LogDebug;
    HTTP.InterceptEnabled := True;
    memoHTML.Lines.Text := HTTP.Get(Edit1.Text);
  finally
    Screen.Cursor := StaryKurzor;
  end; // TRY FINALLY
end;

// *****************************************************************************
procedure TForm1.btnStopClick(Sender: TObject);
begin
  http.DisconnectSocket;
end;

// *****************************************************************************
procedure TForm1.URLsend(plus: string; Sender: TObject);
var
  s: string;
begin
  S := Edit1.Text;
  Edit1.Text := S + Plus;
  btnGoClick(Sender);
  Edit1.Text := S;
end;

// *****************************************************************************
procedure TForm1.Memo1KeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  if Key = 13 then
    URLsend('/index.php?OP=addbuffer&S=' + Memo1.Lines[Pred(Memo1.Lines.Count)], Sender);
end;

// *****************************************************************************
procedure TForm1.Timer1Timer(Sender: TObject);
begin
  URLsend('/index.php?OP=showoutput', Sender);
end;

end.

